Bug 517294 - Connection established (got IP address) with wrong DNS configuration, and NetworkManager applet tray icon kept connecting status.
Summary: Connection established (got IP address) with wrong DNS configuration, and Net...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 517470
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 12:20 UTC by dongjibing
Modified: 2010-12-05 06:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:37:07 UTC


Attachments (Terms of Use)

Description dongjibing 2009-08-13 12:20:58 UTC
Description of problem:
Adding new mobile Broadband, after finishing the configuration wizard, networkmanager keeps on connecting. NetworkManager successfully setups IP address,but can not get DNS Server address. With '-I ppp0' option, it is able to ping Internet,but can not open the page in firefox by IP address.

[root@localhost liveuser]# ping -I ppp0 www.g.cn
ping: unknown host www.g.cn
[root@localhost liveuser]# ping -I ppp0 203.208.39.160
PING 203.208.39.160 (203.208.39.160) from 115.171.153.161 ppp0: 56(84) bytes of data.
64 bytes from 203.208.39.160: icmp_seq=1 ttl=247 time=603 ms
64 bytes from 203.208.39.160: icmp_seq=2 ttl=247 time=62.4 ms
64 bytes from 203.208.39.160: icmp_seq=3 ttl=247 time=91.9 ms
64 bytes from 203.208.39.160: icmp_seq=4 ttl=247 time=63.9 ms
^C
--- 203.208.39.160 ping statistics ---
4 packets transmitted, 4 received, 0% packet loss, time 3661ms
rtt min/avg/max/mdev = 62.418/205.502/603.729/230.216 ms

The /etc/resolv.conf don't have DNS address:

   # Generated by NetworkManager


   # No nameservers found; try putting DNS servers into your
   # ifcfg files in /etc/sysconfig/network-scripts like so:
   #
   # DNS1=xxx.xxx.xxx.xxx
   # DNS2=xxx.xxx.xxx.xxx
   # DOMAIN=lab.foo.com bar.foo.com

lsusb output:
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 003: ID 413c:2106 Dell Computer Corp. 
Bus 004 Device 002: ID 0461:4d22 Primax Electronics, Ltd 
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 018: ID 12d1:1001 Huawei Technologies Co., Ltd. E620 USB Modem
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

USB modem: HUAWEI CE1260 - china telecom surfing
 
Version-Release number of selected component (if applicable):
Fedora 12

How reproducible:


Steps to Reproduce:
1.Connect HUAWEI CE1260 USB modem
2.Click on the NetworkManager applet in the system tray
3.Click on New Mobile Broadband connection...
4.Follow the wizard through, in country list Select China,enter provider "china telecom" manually.
5.Complete the wizard 
  
Actual results:
keep on connecting

Expected results:


Additional info:

Comment 1 John W. Linville 2009-08-17 15:51:47 UTC
I'm pretty sure NM is a victim of pppd (and/or the setup we have wrapped around it)...

Comment 2 Bug Zapper 2009-11-16 11:23:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Dan Williams 2010-01-29 20:19:02 UTC
Could you do the following for me, as root?

1) service NetworkManager stop
2) NM_PPP_DEBUG=1 /usr/sbin/NetworkManager --no-daemon
3) connect to the mobile broadband network through the applet
4) grab the NetworkManager log output and attach it to this bug

Thanks!

Comment 5 Bug Zapper 2010-11-04 10:31:04 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-05 06:37:07 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.